package com.kingdee.eas.custom.compensation;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSubmitShemeTemplateEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractSubmitShemeTemplateEntryInfo()
    {
        this("id");
    }
    protected AbstractSubmitShemeTemplateEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: entry 's null property 
     */
    public com.kingdee.eas.custom.compensation.SubmitShemeTemplateInfo getParent()
    {
        return (com.kingdee.eas.custom.compensation.SubmitShemeTemplateInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.compensation.SubmitShemeTemplateInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:entry's 列名property 
     */
    public String getColumn()
    {
        return getString("column");
    }
    public void setColumn(String item)
    {
        setString("column", item);
    }
    /**
     * Object:entry's 别名property 
     */
    public String getAlias()
    {
        return getString("alias");
    }
    public void setAlias(String item)
    {
        setString("alias", item);
    }
    /**
     * Object:entry's 模板字段property 
     */
    public String getTemplateField()
    {
        return getString("templateField");
    }
    public void setTemplateField(String item)
    {
        setString("templateField", item);
    }
    /**
     * Object:entry's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:entry's sorttypeproperty 
     */
    public String getSorttype()
    {
        return getString("sorttype");
    }
    public void setSorttype(String item)
    {
        setString("sorttype", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("3E5A3C51");
    }
}